description

# File class Null safety

Inheritance
  - Object
  - Blob
  - File
Annotations
  - @Native("File")

## Constructors

File(List<Object> fileBits, String fileName, [Map? options])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
lastModified → int?
  read-only
lastModifiedDate → DateTime
  read-only
name → String
  read-only
relativePath → String?
  @JSName('webkitRelativePath'), @SupportedBrowser(SupportedBrowser.CHROME), @SupportedBrowser(SupportedBrowser.SAFARI), read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
size → int
  read-only, inherited
type → String
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
slice([int? start, int? end, String? contentType]) → Blob
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited